Update connection

Updates the specified connection.

Request

POST

http://<хост_on-premises>/rpc/updateConnection

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "connectionId": "example",
  "data": {
    "accuracy": null,
    "collection_id": "null",
    "counter_id": "example",
    "data_export_forbidden": "off",
    "description": "",
    "token": "example",
    "workbook_id": "null"
  }
}

Name

Description

connectionId

Type: string

Example: example

data

Type: ConnectionUpdate

Example
{
  "accuracy": null,
  "collection_id": "null",
  "counter_id": "example",
  "data_export_forbidden": "off",
  "description": "",
  "token": "example",
  "workbook_id": "null"
}

appmetrica_api2

Name

Description

counter_id

Type: string

Example: example

token

Type: string

Example: example

accuracy

Type: number | null

Default: null

collection_id

Type: string | null

Default: null

data_export_forbidden

Type: unknown

Default: off

description

Type: string | null

Default: ``

workbook_id

Type: string | null

Default: null

Example
{
  "accuracy": null,
  "collection_id": "null",
  "counter_id": "example",
  "data_export_forbidden": "off",
  "description": "",
  "token": "example",
  "workbook_id": "null"
}

chyt2

Name

Description

alias

Type: string

Example: example

host

Type: string

Example: example

port

Type: integer

token

Type: string

Example: example

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

data_export_forbidden

Type: unknown

Default: off

description

Type: string | null

Default: ``

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

secure

Type: boolean

workbook_id

Type: string | null

Default: null

Example
{
  "alias": "example",
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "data_export_forbidden": "off",
  "description": "",
  "host": "example",
  "port": 0,
  "raw_sql_level": "off",
  "secure": true,
  "token": "example",
  "workbook_id": "null"
}

clickhouse2

Name

Description

host

Type: string

Example: example

port

Type: integer

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

experimental_features

Type: unknown

Default: off

password

Type: string | null

Example: example

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

readonly

Type: integer

Default: 2

secure

Type: unknown

Example: null

ssl_ca

Type: unknown

Default: null

ssl_ca_verify

Type: unknown

Default: on

username

Type: string | null

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "experimental_features": "off",
  "host": "example",
  "password": "example",
  "port": 0,
  "raw_sql_level": "off",
  "readonly": 2,
  "secure": null,
  "ssl_ca": null,
  "ssl_ca_verify": "on",
  "username": "example",
  "workbook_id": "null"
}

greenplum2

Name

Description

host

Type: string

Example: example

password

Type: string

Example: example

port

Type: integer

username

Type: string

Example: example

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

enforce_collate

Type: string

Default: auto

Enum: auto, on, off

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

ssl_ca

Type: unknown

Default: null

ssl_enable

Type: unknown

Default: off

workbook_id

Type: string | null

Default: null

Example
{
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "enforce_collate": "auto",
  "host": "example",
  "password": "example",
  "port": 0,
  "raw_sql_level": "off",
  "ssl_ca": null,
  "ssl_enable": "off",
  "username": "example",
  "workbook_id": "null"
}

json_api2

Name

Description

allowed_methods

Type: string[]

Example
[
  "GET"
]

host

Type: string

Example: example

port

Type: integer

collection_id

Type: string | null

Default: null

description

Type: string | null

Default: ``

path

Type: string | null

Example: example

plain_headers

Type: object | null

Example
{}

secret_headers

Type: object | null

Example
{}

secure

Type: boolean

workbook_id

Type: string | null

Default: null

Example
{
  "allowed_methods": [
    "GET"
  ],
  "collection_id": "null",
  "description": "",
  "host": "example",
  "path": "example",
  "plain_headers": {},
  "port": 0,
  "secret_headers": {},
  "secure": true,
  "workbook_id": "null"
}

mssql2

Name

Description

host

Type: string

Example: example

password

Type: string

Example: example

port

Type: integer

username

Type: string

Example: example

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

workbook_id

Type: string | null

Default: null

Example
{
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "host": "example",
  "password": "example",
  "port": 0,
  "raw_sql_level": "off",
  "username": "example",
  "workbook_id": "null"
}

mysql2

Name

Description

host

Type: string

Example: example

password

Type: string

Example: example

port

Type: integer

username

Type: string

Example: example

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

enforce_collate

Type: string

Default: off

Enum: auto, on, off

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

ssl_ca

Type: unknown

Default: null

ssl_enable

Type: unknown

Default: off

workbook_id

Type: string | null

Default: null

Example
{
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "enforce_collate": "off",
  "host": "example",
  "password": "example",
  "port": 0,
  "raw_sql_level": "off",
  "ssl_ca": null,
  "ssl_enable": "off",
  "username": "example",
  "workbook_id": "null"
}

oracle2

Name

Description

db_connect_method

Type: string

Enum: sid, service_name

host

Type: string

Example: example

password

Type: string

Example: example

port

Type: integer

username

Type: string

Example: example

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

ssl_ca

Type: unknown

Default: null

ssl_enable

Type: unknown

Default: off

workbook_id

Type: string | null

Default: null

Example
{
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "data_export_forbidden": "off",
  "db_connect_method": "sid",
  "db_name": "example",
  "description": "",
  "host": "example",
  "password": "example",
  "port": 0,
  "raw_sql_level": "off",
  "ssl_ca": null,
  "ssl_enable": "off",
  "username": "example",
  "workbook_id": "null"
}

promql2

Name

Description

host

Type: string

Example: example

port

Type: integer

auth_header

Type: string | null

Example: example

auth_type

Type: unknown

Default: password

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

password

Type: string | null

Example: example

path

Type: string | null

Example: example

secure

Type: boolean

username

Type: string | null

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "auth_header": "example",
  "auth_type": "password",
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "host": "example",
  "password": "example",
  "path": "example",
  "port": 0,
  "secure": true,
  "username": "example",
  "workbook_id": "null"
}

trino2

Name

Description

auth_type

Type: unknown

Example: null

host

Type: string

Example: example

listing_sources

Type: unknown

Example: null

port

Type: integer

username

Type: string

Example: example

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

jwt

Type: string | null

Example: example

password

Type: string | null

Example: example

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

ssl_ca

Type: unknown

Default: null

ssl_enable

Type: unknown

Default: off

workbook_id

Type: string | null

Default: null

Example
{
  "auth_type": null,
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "host": "example",
  "jwt": "example",
  "listing_sources": null,
  "password": "example",
  "port": 0,
  "raw_sql_level": "off",
  "ssl_ca": null,
  "ssl_enable": "off",
  "username": "example",
  "workbook_id": "null"
}

ydb2

Name

Description

db_name

Type: string

Example: example

host

Type: string

Example: example

port

Type: integer

auth_type

Type: string | null

Enum: anonymous, password, oauth, null

Example: anonymous

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

data_export_forbidden

Type: unknown

Default: off

description

Type: string | null

Default: ``

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

ssl_ca

Type: unknown

Default: null

ssl_enable

Type: unknown

Default: off

token

Type: string | null

Example: example

username

Type: string | null

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "auth_type": "anonymous",
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "host": "example",
  "port": 0,
  "raw_sql_level": "off",
  "ssl_ca": null,
  "ssl_enable": "off",
  "token": "example",
  "username": "example",
  "workbook_id": "null"
}

ConnectionUpdate

Name

Description

One of 13 types
  • appmetrica_api

    Type: appmetrica_api2

    Example
    {
      "accuracy": null,
      "collection_id": "null",
      "counter_id": "example",
      "data_export_forbidden": "off",
      "description": "",
      "token": "example",
      "workbook_id": "null"
    }
    
  • chyt

    Type: chyt2

    Example
    {
      "alias": "example",
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "data_export_forbidden": "off",
      "description": "",
      "host": "example",
      "port": 0,
      "raw_sql_level": "off",
      "secure": true,
      "token": "example",
      "workbook_id": "null"
    }
    
  • clickhouse

    Type: clickhouse2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "experimental_features": "off",
      "host": "example",
      "password": "example",
      "port": 0,
      "raw_sql_level": "off",
      "readonly": 2,
      "secure": null,
      "ssl_ca": null,
      "ssl_ca_verify": "on",
      "username": "example",
      "workbook_id": "null"
    }
    
  • greenplum

    Type: greenplum2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "enforce_collate": "auto",
      "host": "example",
      "password": "example",
      "port": 0,
      "raw_sql_level": "off",
      "ssl_ca": null,
      "ssl_enable": "off",
      "username": "example",
      "workbook_id": "null"
    }
    
  • json_api

    Type: json_api2

    Example
    {
      "allowed_methods": [
        "GET"
      ],
      "collection_id": "null",
      "description": "",
      "host": "example",
      "path": "example",
      "plain_headers": {},
      "port": 0,
      "secret_headers": {},
      "secure": true,
      "workbook_id": "null"
    }
    
  • metrika_api

    Type: metrika_api2

    Example
    {
      "accuracy": null,
      "collection_id": "null",
      "counter_id": "example",
      "data_export_forbidden": "off",
      "description": "",
      "token": "example",
      "workbook_id": "null"
    }
    
  • mssql

    Type: mssql2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "host": "example",
      "password": "example",
      "port": 0,
      "raw_sql_level": "off",
      "username": "example",
      "workbook_id": "null"
    }
    
  • mysql

    Type: mysql2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "enforce_collate": "off",
      "host": "example",
      "password": "example",
      "port": 0,
      "raw_sql_level": "off",
      "ssl_ca": null,
      "ssl_enable": "off",
      "username": "example",
      "workbook_id": "null"
    }
    
  • oracle

    Type: oracle2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "data_export_forbidden": "off",
      "db_connect_method": "sid",
      "db_name": "example",
      "description": "",
      "host": "example",
      "password": "example",
      "port": 0,
      "raw_sql_level": "off",
      "ssl_ca": null,
      "ssl_enable": "off",
      "username": "example",
      "workbook_id": "null"
    }
    
  • postgres

    Type: postgres2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "enforce_collate": "auto",
      "host": "example",
      "password": "example",
      "port": 0,
      "raw_sql_level": "off",
      "ssl_ca": null,
      "ssl_enable": "off",
      "username": "example",
      "workbook_id": "null"
    }
    
  • promql

    Type: promql2

    Example
    {
      "auth_header": "example",
      "auth_type": "password",
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "host": "example",
      "password": "example",
      "path": "example",
      "port": 0,
      "secure": true,
      "username": "example",
      "workbook_id": "null"
    }
    
  • trino

    Type: trino2

    Example
    {
      "auth_type": null,
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "host": "example",
      "jwt": "example",
      "listing_sources": null,
      "password": "example",
      "port": 0,
      "raw_sql_level": "off",
      "ssl_ca": null,
      "ssl_enable": "off",
      "username": "example",
      "workbook_id": "null"
    }
    
  • ydb

    Type: ydb2

    Example
    {
      "auth_type": "anonymous",
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "host": "example",
      "port": 0,
      "raw_sql_level": "off",
      "ssl_ca": null,
      "ssl_enable": "off",
      "token": "example",
      "username": "example",
      "workbook_id": "null"
    }
    
Example
{
  "accuracy": null,
  "collection_id": "null",
  "counter_id": "example",
  "data_export_forbidden": "off",
  "description": "",
  "token": "example",
  "workbook_id": "null"
}

Responses

200 OK

Response

Body

application/json

null

Type: unknown

appmetrica_api2

Name

Description

counter_id

Type: string

Example: example

accuracy

Type: number | null

Default: null

collection_id

Type: string | null

Default: null

created_at

Type: string

Example: example

data_export_forbidden

Type: unknown

Default: off

description

Type: string | null

Default: ``

id

Type: string

Example: example

key

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

updated_at

Type: string

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "accuracy": null,
  "collection_id": "null",
  "counter_id": "example",
  "created_at": "example",
  "data_export_forbidden": "off",
  "description": "",
  "id": "example",
  "key": "example",
  "meta": {},
  "updated_at": "example",
  "workbook_id": "null"
}

chyt2

Name

Description

alias

Type: string

Example: example

host

Type: string

Example: example

port

Type: integer

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

created_at

Type: string

Example: example

data_export_forbidden

Type: unknown

Default: off

description

Type: string | null

Default: ``

id

Type: string

Example: example

key

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

secure

Type: boolean

updated_at

Type: string

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "alias": "example",
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "created_at": "example",
  "data_export_forbidden": "off",
  "description": "",
  "host": "example",
  "id": "example",
  "key": "example",
  "meta": {},
  "port": 0,
  "raw_sql_level": "off",
  "secure": true,
  "updated_at": "example",
  "workbook_id": "null"
}

clickhouse2

Name

Description

host

Type: string

Example: example

port

Type: integer

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

created_at

Type: string

Example: example

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

experimental_features

Type: unknown

Default: off

id

Type: string

Example: example

key

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

readonly

Type: integer

Default: 2

secure

Type: unknown

Example: null

ssl_ca_verify

Type: unknown

Default: on

updated_at

Type: string

Example: example

username

Type: string | null

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "created_at": "example",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "experimental_features": "off",
  "host": "example",
  "id": "example",
  "key": "example",
  "meta": {},
  "port": 0,
  "raw_sql_level": "off",
  "readonly": 2,
  "secure": null,
  "ssl_ca_verify": "on",
  "updated_at": "example",
  "username": "example",
  "workbook_id": "null"
}

greenplum2

Name

Description

host

Type: string

Example: example

port

Type: integer

username

Type: string

Example: example

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

created_at

Type: string

Example: example

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

enforce_collate

Type: string

Default: auto

Enum: auto, on, off

id

Type: string

Example: example

key

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

ssl_enable

Type: unknown

Default: off

updated_at

Type: string

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "created_at": "example",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "enforce_collate": "auto",
  "host": "example",
  "id": "example",
  "key": "example",
  "meta": {},
  "port": 0,
  "raw_sql_level": "off",
  "ssl_enable": "off",
  "updated_at": "example",
  "username": "example",
  "workbook_id": "null"
}

json_api2

Name

Description

allowed_methods

Type: string[]

Example
[
  "GET"
]

host

Type: string

Example: example

port

Type: integer

collection_id

Type: string | null

Default: null

created_at

Type: string

Example: example

description

Type: string | null

Default: ``

id

Type: string

Example: example

key

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

path

Type: string | null

Example: example

plain_headers

Type: object | null

Example
{}

secret_headers

Type: object | null

Example
{}

secure

Type: boolean

updated_at

Type: string

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "allowed_methods": [
    "GET"
  ],
  "collection_id": "null",
  "created_at": "example",
  "description": "",
  "host": "example",
  "id": "example",
  "key": "example",
  "meta": {},
  "path": "example",
  "plain_headers": {},
  "port": 0,
  "secret_headers": {},
  "secure": true,
  "updated_at": "example",
  "workbook_id": "null"
}

mssql2

Name

Description

host

Type: string

Example: example

port

Type: integer

username

Type: string

Example: example

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

created_at

Type: string

Example: example

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

id

Type: string

Example: example

key

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

updated_at

Type: string

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "created_at": "example",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "host": "example",
  "id": "example",
  "key": "example",
  "meta": {},
  "port": 0,
  "raw_sql_level": "off",
  "updated_at": "example",
  "username": "example",
  "workbook_id": "null"
}

mysql2

Name

Description

host

Type: string

Example: example

port

Type: integer

username

Type: string

Example: example

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

created_at

Type: string

Example: example

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

enforce_collate

Type: string

Default: off

Enum: auto, on, off

id

Type: string

Example: example

key

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

ssl_enable

Type: unknown

Default: off

updated_at

Type: string

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "created_at": "example",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "enforce_collate": "off",
  "host": "example",
  "id": "example",
  "key": "example",
  "meta": {},
  "port": 0,
  "raw_sql_level": "off",
  "ssl_enable": "off",
  "updated_at": "example",
  "username": "example",
  "workbook_id": "null"
}

oracle2

Name

Description

db_connect_method

Type: string

Enum: sid, service_name

host

Type: string

Example: example

port

Type: integer

username

Type: string

Example: example

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

created_at

Type: string

Example: example

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

id

Type: string

Example: example

key

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

ssl_enable

Type: unknown

Default: off

updated_at

Type: string

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "created_at": "example",
  "data_export_forbidden": "off",
  "db_connect_method": "sid",
  "db_name": "example",
  "description": "",
  "host": "example",
  "id": "example",
  "key": "example",
  "meta": {},
  "port": 0,
  "raw_sql_level": "off",
  "ssl_enable": "off",
  "updated_at": "example",
  "username": "example",
  "workbook_id": "null"
}

promql2

Name

Description

host

Type: string

Example: example

port

Type: integer

auth_type

Type: unknown

Default: password

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

created_at

Type: string

Example: example

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

id

Type: string

Example: example

key

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

path

Type: string | null

Example: example

secure

Type: boolean

updated_at

Type: string

Example: example

username

Type: string | null

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "auth_type": "password",
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "created_at": "example",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "host": "example",
  "id": "example",
  "key": "example",
  "meta": {},
  "path": "example",
  "port": 0,
  "secure": true,
  "updated_at": "example",
  "username": "example",
  "workbook_id": "null"
}

trino2

Name

Description

auth_type

Type: unknown

Example: null

host

Type: string

Example: example

listing_sources

Type: unknown

Example: null

port

Type: integer

username

Type: string

Example: example

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

created_at

Type: string

Example: example

data_export_forbidden

Type: unknown

Default: off

db_name

Type: string | null

Example: example

description

Type: string | null

Default: ``

id

Type: string

Example: example

key

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

ssl_enable

Type: unknown

Default: off

updated_at

Type: string

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "auth_type": null,
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "created_at": "example",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "host": "example",
  "id": "example",
  "key": "example",
  "listing_sources": null,
  "meta": {},
  "port": 0,
  "raw_sql_level": "off",
  "ssl_enable": "off",
  "updated_at": "example",
  "username": "example",
  "workbook_id": "null"
}

ydb2

Name

Description

db_name

Type: string

Example: example

host

Type: string

Example: example

port

Type: integer

auth_type

Type: string | null

Enum: anonymous, password, oauth, null

Example: anonymous

cache_invalidation_throttling_interval_sec

Type: integer | null

Default: null

cache_ttl_sec

Type: integer | null

Default: null

collection_id

Type: string | null

Default: null

created_at

Type: string

Example: example

data_export_forbidden

Type: unknown

Default: off

description

Type: string | null

Default: ``

id

Type: string

Example: example

key

Type: string

Example: example

raw_sql_level

Type: string

Default: off

Enum: off, subselect, template, dashsql

ssl_enable

Type: unknown

Default: off

updated_at

Type: string

Example: example

username

Type: string | null

Example: example

workbook_id

Type: string | null

Default: null

Example
{
  "auth_type": "anonymous",
  "cache_invalidation_throttling_interval_sec": null,
  "cache_ttl_sec": null,
  "collection_id": "null",
  "created_at": "example",
  "data_export_forbidden": "off",
  "db_name": "example",
  "description": "",
  "host": "example",
  "id": "example",
  "key": "example",
  "port": 0,
  "raw_sql_level": "off",
  "ssl_enable": "off",
  "updated_at": "example",
  "username": "example",
  "workbook_id": "null"
}

ConnectionUpdate

Name

Description

One of 13 types
  • appmetrica_api

    Type: appmetrica_api2

    Example
    {
      "accuracy": null,
      "collection_id": "null",
      "counter_id": "example",
      "created_at": "example",
      "data_export_forbidden": "off",
      "description": "",
      "id": "example",
      "key": "example",
      "meta": {},
      "updated_at": "example",
      "workbook_id": "null"
    }
    
  • chyt

    Type: chyt2

    Example
    {
      "alias": "example",
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "created_at": "example",
      "data_export_forbidden": "off",
      "description": "",
      "host": "example",
      "id": "example",
      "key": "example",
      "meta": {},
      "port": 0,
      "raw_sql_level": "off",
      "secure": true,
      "updated_at": "example",
      "workbook_id": "null"
    }
    
  • clickhouse

    Type: clickhouse2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "created_at": "example",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "experimental_features": "off",
      "host": "example",
      "id": "example",
      "key": "example",
      "meta": {},
      "port": 0,
      "raw_sql_level": "off",
      "readonly": 2,
      "secure": null,
      "ssl_ca_verify": "on",
      "updated_at": "example",
      "username": "example",
      "workbook_id": "null"
    }
    
  • greenplum

    Type: greenplum2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "created_at": "example",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "enforce_collate": "auto",
      "host": "example",
      "id": "example",
      "key": "example",
      "meta": {},
      "port": 0,
      "raw_sql_level": "off",
      "ssl_enable": "off",
      "updated_at": "example",
      "username": "example",
      "workbook_id": "null"
    }
    
  • json_api

    Type: json_api2

    Example
    {
      "allowed_methods": [
        "GET"
      ],
      "collection_id": "null",
      "created_at": "example",
      "description": "",
      "host": "example",
      "id": "example",
      "key": "example",
      "meta": {},
      "path": "example",
      "plain_headers": {},
      "port": 0,
      "secret_headers": {},
      "secure": true,
      "updated_at": "example",
      "workbook_id": "null"
    }
    
  • metrika_api

    Type: metrika_api2

    Example
    {
      "accuracy": null,
      "collection_id": "null",
      "counter_id": "example",
      "created_at": "example",
      "data_export_forbidden": "off",
      "description": "",
      "id": "example",
      "key": "example",
      "meta": {},
      "updated_at": "example",
      "workbook_id": "null"
    }
    
  • mssql

    Type: mssql2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "created_at": "example",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "host": "example",
      "id": "example",
      "key": "example",
      "meta": {},
      "port": 0,
      "raw_sql_level": "off",
      "updated_at": "example",
      "username": "example",
      "workbook_id": "null"
    }
    
  • mysql

    Type: mysql2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "created_at": "example",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "enforce_collate": "off",
      "host": "example",
      "id": "example",
      "key": "example",
      "meta": {},
      "port": 0,
      "raw_sql_level": "off",
      "ssl_enable": "off",
      "updated_at": "example",
      "username": "example",
      "workbook_id": "null"
    }
    
  • oracle

    Type: oracle2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "created_at": "example",
      "data_export_forbidden": "off",
      "db_connect_method": "sid",
      "db_name": "example",
      "description": "",
      "host": "example",
      "id": "example",
      "key": "example",
      "meta": {},
      "port": 0,
      "raw_sql_level": "off",
      "ssl_enable": "off",
      "updated_at": "example",
      "username": "example",
      "workbook_id": "null"
    }
    
  • postgres

    Type: postgres2

    Example
    {
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "created_at": "example",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "enforce_collate": "auto",
      "host": "example",
      "id": "example",
      "key": "example",
      "meta": {},
      "port": 0,
      "raw_sql_level": "off",
      "ssl_enable": "off",
      "updated_at": "example",
      "username": "example",
      "workbook_id": "null"
    }
    
  • promql

    Type: promql2

    Example
    {
      "auth_type": "password",
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "created_at": "example",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "host": "example",
      "id": "example",
      "key": "example",
      "meta": {},
      "path": "example",
      "port": 0,
      "secure": true,
      "updated_at": "example",
      "username": "example",
      "workbook_id": "null"
    }
    
  • trino

    Type: trino2

    Example
    {
      "auth_type": null,
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "created_at": "example",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "host": "example",
      "id": "example",
      "key": "example",
      "listing_sources": null,
      "meta": {},
      "port": 0,
      "raw_sql_level": "off",
      "ssl_enable": "off",
      "updated_at": "example",
      "username": "example",
      "workbook_id": "null"
    }
    
  • ydb

    Type: ydb2

    Example
    {
      "auth_type": "anonymous",
      "cache_invalidation_throttling_interval_sec": null,
      "cache_ttl_sec": null,
      "collection_id": "null",
      "created_at": "example",
      "data_export_forbidden": "off",
      "db_name": "example",
      "description": "",
      "host": "example",
      "id": "example",
      "key": "example",
      "port": 0,
      "raw_sql_level": "off",
      "ssl_enable": "off",
      "updated_at": "example",
      "username": "example",
      "workbook_id": "null"
    }
    
Example
{
  "accuracy": null,
  "collection_id": "null",
  "counter_id": "example",
  "created_at": "example",
  "data_export_forbidden": "off",
  "description": "",
  "id": "example",
  "key": "example",
  "meta": {},
  "updated_at": "example",
  "workbook_id": "null"
}
Предыдущая
Следующая